<!DOCTYPE html>
<html>
<head>
	<title>移动到指定位置</title>
	<style type="text/css">
		#div1{
			position: absolute;
			left:600PX;
			top:50px;
			width: 100px;
			height: 100px;
			background:red;
		}
		#div2{
			position: absolute;
			left:100px;
			top:0;
			width: 1px;
			height: 300px;
			background:#000;
		}
		#div3{
			position: absolute;
			left:300px;
			top:0;
			width: 1px;
			height: 300px;
			background:#000;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
		 	var inpu1=document.getElementById('inp1');
		 	var inpu3=document.getElementById('inp3');
			inpu1.onclick=function(){
		 		startMove(100);
			};
			inpu3.onclick=function(){
		 		startMove(300);
			};
		 };
		function startMove(iTarget){
			var oDiv=document.getElementById('div1');
			clearInterval(timer);
			var timer=setInterval(function(){
				var speed=(iTarget-oDiv.offsetLeft)/7;
			    speed=speed>0?Math.ceil(speed):Math.floor(speed);
			    if(Math.abs(iTarget-oDiv.offsetLeft)<=speed){
			    	clearInterval(timer);
			    	oDiv.style.left=iTarget+'px';
			    }else{
			    	oDiv.style.left=oDiv.offsetLeft+speed+'px';
			    }
				
			},30);
		};
	</script>
</head>
<body>
	<input type="button" name="" value="运动到100" id="inp1"/>
	<input type="button" name="" value="运动到300" id="inp3"/>
	<div id="div1"></div>
	<div id="div2"></div>
	<div id="div3"></div>
</body>
</html>